PShape logo;
int numFrames = 60;
float maxSize = 6000;

void setup() {
  size( 500, 500 );
  logo = loadShape( "wintercheck.svg" );
  smooth();
}

void draw() {
  if ( frameCount > numFrames ) {
    exit();
    return;
  }
  
  background( 255 );
  pushMatrix();
  translate( logo.width/2, logo.height/2 );
  drawLogo( findSizeForFrame( (frameCount - 1) % numFrames ) );
  drawLogo( findSizeForFrame( ((frameCount - 1) + numFrames / 2) % numFrames ) );
  popMatrix();
  saveFrame( "frame-###.png" );
}

float findSizeForFrame( int frame ) {
  float t = frame / (float)(numFrames - 1);
  float eased = easeInExpo( t );
  return eased * maxSize;
}

void drawLogo( float theSize ) {
  shape( logo, -theSize/2.0, -theSize/2.0, theSize, theSize );
}

float easeInExpo( float t ) {
  return t == 0 ? 0 : pow( 2, 10 * (t - 1) );
}
